> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set default Slack channel for tool failure alerts



## OpenAPI

````yaml patch /api/v1/organization/slack/channel
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/organization/slack/channel:
    patch:
      tags:
        - Slack Alerts
      summary: Set default Slack channel for tool failure alerts
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                channelId:
                  type: string
                  minLength: 1
              required:
                - channelId
      responses:
        '200':
          description: Slack alert channel updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  slack:
                    type: object
                    properties:
                      connected:
                        type: boolean
                      teamId:
                        type: string
                        nullable: true
                      teamName:
                        type: string
                        nullable: true
                      defaultChannelId:
                        type: string
                        nullable: true
                      defaultChannelName:
                        type: string
                        nullable: true
                    required:
                      - connected
                      - teamId
                      - teamName
                      - defaultChannelId
                      - defaultChannelName
                required:
                  - slack
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````